Hermos API

Issue Agent Key

POST/agents/{agent}/keys

Authorization

cookieAuth
__Host-hms_session<token>

In: cookie

Path Parameters

agent*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/keys" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "object": "api_key",  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",  "name": "string",  "scopes": [    "string"  ],  "key_prefix": "string",  "last_four": "string",  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "secret": "string"}